# DSFR Composants

[DSFR](https://www.systeme-de-design.gouv.fr) Le Système de Design de l'État (ci-après, le DSFR) est
un ensemble de composants web HTML, CSS et Javascript pour faciliter le travail des équipes projets
des sites Internet publics, et créer des interfaces numériques de qualité et accessibles.

Ce plugin SPIP charge automatiquement les scripts CSS et Javascript permettant 
d'utiliser l'ensemble des composants DSFR sur l'espace public. Vous devrez ensuite adapter le 
contenu de vos squelettes pour pouvoir utiliser ces différents composants.

Le but de ce plugin SPIP étant de fournir uniquement les composants DSFR pour pouvoir facilement proposer
des mises à jour lors de la sortie d'une nouvelle version des composants DSFR.


## Licence et droit d'utilisation

Le contenu de ce projet est placé sous licence MIT License, à l'exception de la fonte Marianne.
Voir [LICENSE.md](https://github.com/GouvernementFR/dsfr/blob/main/LICENSE.md)

**Utilisation interdite en dehors des sites Internet de l'État**

Il est formellement interdit à tout autre acteur d'utiliser le Système de Design de l'État (les
administrations territoriales ou tout autre acteur privé). Le Système de Design de l'État représente
l'identité numérique de l'État. En cas d'usage à des fins trompeuses ou frauduleuses, l'État se réserve
le droit d'entreprendre les actions nécessaires pour y mettre un terme. 
Voir les [conditions générales d'utilisation](https://github.com/GouvernementFR/dsfr/blob/main/doc/legal/cgu.md).

**Prohibited Use Outside Government Websites**

This Design System is only meant to be used by official French public services websites and apps. 
Its main purpose is to make it easy to identify governmental websites for citizens.
See [terms](https://github.com/GouvernementFR/dsfr/blob/main/doc/legal/cgu.md).


## Compatibilité

Le plugin est compatible avec [SPIP 4.2+](https://www.spip.net).


## Configuration

Vous pouvez configurer le plugin depuis l'espace privé de SPIP dans le menu `Configuration`.


## Documentation

Toute la documentation du plugin est disponible depuis l'espace privé de SPIP dans le menu `Développement`.
Vous devez `Configurer vos préférences de menus` pour faire apparaître ce menu.


## Nouvelles balises SPIP

Une fois activé, le plugin permet l'utilisation de plusieurs balises SPIP spécifiques au plugin.
Consultez la documentation du plugin pour de plus amples informations au sujet de ces nouvelles balises SPIP.

 * `#DSFR`
 * `#DSFR_COULEURS`
 * `#DSFR_ICONE`
 * `#DSFR_ICONES`
 * `#DSFR_PICTOGRAMME`
 * `#DSFR_PICTOGRAMMES`
 * `#DSFR_PLACEHOLDER`
 * `#DSFR_VERSION`


## Composants DSFR

Vous pouvez inclure les composants DSFR avec la syntaxe d'inclusion de SPIP
`#INCLURE{fond=dsfr_composants/nom_du_composant}` (en statique) ou `<INCLURE{fond=dsfr_composants/nom_du_composant}>`.
Consultez la documentation des composants DSFR pour connaître les paramètres d'inclusions
à utiliser pour afficher un composant.

### Liste des composants DSFR actuellement disponibles avec le plugin

 * `alerte`
 * `badge`
 * `bandeau_information_importante`
 * `barre_de_recherche`
 * `bouton`
 * `carte`
 * `citation`
 * `fil_d_ariane`
 * `gestionnaire_de_consentement`
 * `groupe_de_badges`
 * `groupe_de_boutons`
 * `groupe_de_liens`
 * `groupe_de_tags`
 * `icone`
 * `lien`
 * `lien_d_evitement`
 * `mise_en_avant`
 * `mise_en_exergue`
 * `navigation_principale`
 * `parametre_d_affichage`
 * `pictogramme`
 * `tag`
 * `tuile`